#include <stdio.h>
#include <cstdlib>
#include <string.h>
#include "global.h"
#include "vector.h"
#include <GL/glut.h>
#include "model.h"
#include "collisionobject.h"
#include <cmath>

class CollisionCreator {
public:
	CollisionCreator();
	~CollisionCreator();
	CollisionBubble ModelToBubble(Model& model, int frame, unsigned int type);
	CollisionCuboid ModelToCuboid(Model& model, int frame);
	CollisionCuboid ModelToPlane(Model& model, int frame);
	CollisionCuboid ModelToRotatedCuboid(Model& model, int frame);
private:
};