#include "global.h"
#include "vector.h"
#include <windows.h>
#include <GL/glut.h>

#pragma once

#define PI 3.1415926535897932384626433832795
#define PIdiv180 (PI/180.0)

class Camera {
private:
	Vector pos;
	Vector up;
	Vector right;
	Vector view;
	//Vector rot;
public:
	Camera();
	Vector GetView() {return view;};
	Vector GetPos() {return pos;};
	Vector GetRight() {return right;};
	Vector GetUp() {return up;};
	void Render();
	void RotateX(float amount);
	void RotateY(float amount);
	void RotateZ(float amount);
	void RotateVerticalAxis(float amount);
	void MoveFwd(float amount);
	void MoveBack(float amount);
	void MoveRight(float amount);
	void MoveLeft(float amount);
	void MoveUp(float amount);
	void MoveDown(float amount);
	void SetCam(Vector pos, Vector view, Vector up, Vector right);
	//boolean camerachanged;
};