#pragma comment(lib,"glut32.lib")
#pragma once

#include <windows.h>

#define WIN_WIDTH 1024
#define WIN_HEIGHT 700
#define PI 3.1415926535897932384626433832795
#define PIdiv180 (PI/180.0)

typedef struct {
	union {
		float values[4];
		float r, g, b, a;
	};
} colour;

// animation list
typedef enum {
    STAND,
    RUN,
    ATTACK,
    BEHIT, //PAIN_A,
    DIE, //PAIN_B,
    WALKSIDE, //PAIN_C,
    JUMP,
    FLIP,
    SALUTE,
    FALLBACK,
    WAVE,
    POINT_AT,
    CROUCH_STAND,
    CROUCH_WALK,
    CROUCH_ATTACK,
    CROUCH_PAIN,
    CROUCH_DEATH, 
    DEATH_FALLBACK,
    DEATH_FALLFORWARD,
    DEATH_FALLBACKSLOW,
    BOOM,

    MAX_ANIMATIONS

} animType_t;