#include "CollisionCreator.h"
#include "Frustum.h"

class Level {
public:
	Level();
	~Level();
	bool LoadLevel(const char *filename);
	void DrawScene(float time, bool wireframe, bool frustum);
	CollisionCollection * GetCollision() {return &worldcoll;}
private:
	Frustum fcull;
	Model* world;
	int worldmodelcount;
	CollisionCollection worldcoll;
	int* animation;
};